cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params Struct Reference

`#include <predicated_tile_iterator.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE Status | initialize (Index stride_)
CUTLASS_HOST_DEVICE | Params ()
CUTLASS_HOST_DEVICE | Params (Layout const &layout)

## Public Attributes

Index | stride
| stride in bytes between rows More...
Index | increment_row
| increment quantity (in bytes) to advance when moving between rows More...
Index | increment_group
| increment quantity (in bytes) to advance when moving to the next group More...
Index | increment_cluster
| increment quantity (in bytes) to advance when moving to the next cluster More...
Index | advance_row
| amount to add to move to the next 'row' position More...
Index | advance_group
| amount to add to move to the next 'group' position More...
Index | advance_cluster
| amount to add to move to the next 'cluster' position More...
Index | advance_tile
| amount to add to move to the next 'tile' More...

## Constructor & Destructor Documentation

template<typename ThreadMap_ , typename Element_ >

CUTLASS_HOST_DEVICE cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::Params | ( |  | ) |

inline

template<typename ThreadMap_ , typename Element_ >

CUTLASS_HOST_DEVICE cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::Params | ( | Layout const & | layout | ) |

inline

## Member Function Documentation

template<typename ThreadMap_ , typename Element_ >

CUTLASS_HOST_DEVICE Status cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::initialize | ( | Index | stride_ | ) |

inline

## Member Data Documentation

template<typename ThreadMap_ , typename Element_ >

Index cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::advance_cluster

template<typename ThreadMap_ , typename Element_ >

Index cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::advance_group

template<typename ThreadMap_ , typename Element_ >

Index cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::advance_row

template<typename ThreadMap_ , typename Element_ >

Index cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::advance_tile

template<typename ThreadMap_ , typename Element_ >

Index cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::increment_cluster

template<typename ThreadMap_ , typename Element_ >

Index cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::increment_group

template<typename ThreadMap_ , typename Element_ >

Index cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::increment_row

template<typename ThreadMap_ , typename Element_ >

Index cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Params::stride

The documentation for this struct was generated from the following file:

- epilogue/threadblock/predicated_tile_iterator.h